- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Types | Data Fields
_myPrivate Struct Reference

`#include <usb-private.h>`

## Public Types
enum | { button1 = 0x0001, button2 = 0x0002, button3 = 0x0004, button4 = 0x0008, button5 = 0x0010 }
enum | { button1 = 0x0001, button2 = 0x0002, button3 = 0x0004, button4 = 0x0008, button5 = 0x0010 }
## Data Fields
| DMX_COMMON_PRIVATE
int | myScreen
DMXScreenInfo * | grabbedScreen
int | lastX
int | lastY
int | centerX
int | centerY
int | relative
int | newscreen
int | initialized
DevicePtr | mou
DevicePtr | kbd
int | entered
int | offX
int | offY
int | globalX
int | globalY
int | curX
int | curY
int | width
int | height
int | consWidth
int | consHeight
double | xScale
double | yScale
XlibGC | gc
XlibGC | gcDet
XlibGC | gcRev
XlibGC | gcCur
int | grabbed
int | fine
int | captured
Cursor | cursorNormal
Cursor | cursorGrabbed
Cursor | cursorEmpty
Pixmap | pixmap
CloseScreenProcPtr | CloseScreen
struct _myPrivate * | next
int | fd
int | vtno
int | vtcurrent
int | kbdtrans
struct termios | kbdtty
int | kbdType
CARD32 | kbdState [NUM_STATE_ENTRIES]
DeviceIntPtr | pKeyboard
unsigned char | prefix
int | switched
SWITCHRETPROC | switch_return
void * | switch_return_data
int | pitch
unsigned long | duration
DeviceIntPtr | pMouse
struct termios | tty
enum _myPrivate:: { ... } | buttons
enum _myPrivate:: { ... } | buttons
DeviceIntPtr | pDevice
unsigned char | mask [EV_MAX/8+1]
int | numRel
int | numAbs
int | numLeds
int | relmap [DMX_MAX_AXES]
int | absmap [DMX_MAX_AXES]
DMXInputInfo * | dmxInput

## Detailed Description

Each device has a private area that is visible only from inside the driver code.

## Member Enumeration Documentation

anonymous enum

Enumerator:

  button1 |
  button2 |
  button3 |
  button4 |
  button5 |

anonymous enum

Enumerator:

  button1 |
  button2 |
  button3 |
  button4 |
  button5 |

## Field Documentation

int _myPrivate::absmap[DMX_MAX_AXES]

Absolute axis map

enum { ... } _myPrivate::buttons

enum { ... } _myPrivate::buttons

int _myPrivate::captured

Referenced by dmxConsoleCapture(), and dmxConsoleUncapture().

int _myPrivate::centerX

Referenced by dmxBackendComputeCenter().

int _myPrivate::centerY

Referenced by dmxBackendComputeCenter().

CloseScreenProcPtr _myPrivate::CloseScreen

Referenced by dmxCloseConsoleScreen(), and dmxConsoleInit().

int _myPrivate::consHeight

Referenced by dmxConsoleDraw(), and dmxConsoleUpdateFineCursor().

int _myPrivate::consWidth

Referenced by dmxConsoleDraw(), and dmxConsoleUpdateFineCursor().

Cursor _myPrivate::cursorEmpty

Cursor _myPrivate::cursorGrabbed

Cursor _myPrivate::cursorNormal

int _myPrivate::curX

Referenced by dmxConsoleCapture(), and dmxConsoleMoveAbsolute().

int _myPrivate::curY

Referenced by dmxConsoleCapture(), and dmxConsoleMoveAbsolute().

_myPrivate::DMX_COMMON_PRIVATE

DMXInputInfo* _myPrivate::dmxInput

For pretty-printing

Referenced by dmxCloseConsole(), dmxConsoleCollectEvents(), dmxConsoleDraw(), dmxConsoleInit(), and dmxDump().

unsigned long _myPrivate::duration

Bell duration

int _myPrivate::entered

int _myPrivate::fd

File descriptor

Referenced by kbdLinuxCreatePrivate(), kbdLinuxVTSignalHandler(), kbdLinuxVTSwitch(), msLinuxCreatePrivate(), ps2LinuxCreatePrivate(), usbCreatePrivate(), and usbPrint().

int _myPrivate::fine

Referenced by dmxConsoleCapture(), and dmxConsoleDraw().

XlibGC _myPrivate::gc

Referenced by dmxBECreateCursor(), dmxCloseConsole(), dmxConsoleClearCursor(), dmxConsoleDraw(), and dmxConsoleUpdateFineCursor().

XlibGC _myPrivate::gcCur

Referenced by dmxCloseConsole(), and dmxConsoleDrawFineCursor().

XlibGC _myPrivate::gcDet

Referenced by dmxCloseConsole(), dmxConsoleClearCursor(), and dmxConsoleDraw().

XlibGC _myPrivate::gcRev

Referenced by dmxCloseConsole(), dmxConsoleClearCursor(), and dmxConsoleDraw().

int _myPrivate::globalX

Referenced by dmxConsoleDrawFineCursor(), dmxConsoleUpdateFineCursor(), and dmxCursorOffScreen().

int _myPrivate::globalY

Referenced by dmxConsoleDrawFineCursor(), dmxConsoleUpdateFineCursor(), and dmxCursorOffScreen().

int _myPrivate::grabbed

Referenced by dmxConsoleDrawFineCursor().

DMXScreenInfo* _myPrivate::grabbedScreen

int _myPrivate::height

Referenced by dmxConsoleCollectEvents(), dmxConsoleDraw(), and dmxConsoleUpdateFineCursor().

int _myPrivate::initialized

DevicePtr _myPrivate::kbd

CARD32 _myPrivate::kbdState

Keyboard state

Referenced by kbdLinuxKeyDown(), kbdLinuxKeyState(), kbdUSBKeyDown(), and kbdUSBKeyState().

int _myPrivate::kbdtrans

struct termios _myPrivate::kbdtty

int _myPrivate::kbdType

int _myPrivate::lastX

Referenced by dmxConsoleMoveRelative(), and dmxConsoleUpdateFineCursor().

int _myPrivate::lastY

Referenced by dmxConsoleMoveRelative(), and dmxConsoleUpdateFineCursor().

unsigned char _myPrivate::mask[EV_MAX/8+1]

Mask

Referenced by dmxConsoleInit().

DevicePtr _myPrivate::mou

int _myPrivate::myScreen

Referenced by dmxBackendFindOverlapping(), and dmxBackendSameDisplay().

int _myPrivate::newscreen

struct _myPrivate* _myPrivate::next

Referenced by dmxCloseConsoleScreen().

int _myPrivate::numAbs

int _myPrivate::numLeds

Counts

int _myPrivate::numRel

int _myPrivate::offX

int _myPrivate::offY

DeviceIntPtr _myPrivate::pDevice

Device (mouse or other)

Referenced by usbCreatePrivate(), and usbPrint().

int _myPrivate::pitch

Keyboard device Bell pitch

Pixmap _myPrivate::pixmap

Referenced by dmxConsoleCreateEmptyCursor(), dmxConsoleDraw(), dmxConsoleDrawFineCursor(), and dmxConsoleUpdateFineCursor().

DeviceIntPtr _myPrivate::pKeyboard

Referenced by kbdLinuxCreatePrivate().

DeviceIntPtr _myPrivate::pMouse

Referenced by msLinuxCreatePrivate(), and ps2LinuxCreatePrivate().

unsigned char _myPrivate::prefix

Referenced by kbdLinuxPrefixMapping().

int _myPrivate::relative

int _myPrivate::relmap[DMX_MAX_AXES]

Relative axis map

SWITCHRETPROC _myPrivate::switch_return

Referenced by kbdLinuxVTSignalHandler(), and kbdLinuxVTSwitch().

void* _myPrivate::switch_return_data

Referenced by kbdLinuxVTSignalHandler(), and kbdLinuxVTSwitch().

int _myPrivate::switched

Referenced by kbdLinuxVTSignalHandler(), and kbdLinuxVTSwitch().

struct termios _myPrivate::tty

int _myPrivate::vtcurrent

int _myPrivate::vtno

Referenced by kbdLinuxVTSwitch().

int _myPrivate::width

Referenced by dmxConsoleCollectEvents(), dmxConsoleDraw(), and dmxConsoleUpdateFineCursor().

double _myPrivate::xScale

Referenced by scalex(), and unscalex().

double _myPrivate::yScale

Referenced by scaley(), and unscaley().

The documentation for this struct was generated from the following files:

- dmxbackend.c
- lnx-ms.c
- lnx-ps2.c
- dmxcommon.c
- dmxconsole.c
- lnx-keyboard.c
- usb-private.h